ODIDX(1)

NAME
odidx - indexer of document files

SYNOPSIS
odidx register [-l file] [-wmax num] [-tsuf sufs] [-hsuf sufs] name[dir]
odidx relate name
odidx purge name

DESCRIPTION
This manual page documents briefly the odidx commands.

The command odidx is a utility for indexing files on the local file system. This command is useful for a full-text search system of a Web site. Supported file format are plain text and HTML. Supported character encoding are US-ASCII and ISO-8859-1. The URI of each document is specified with the path of its file. Attributes named as title and date are given to each documents. When a document is already existing in the database, it is registered if its last modification time is newer, or it is ignored. Modification times are stored in the sub database `_mtime' in the main database directory. Score information are stored in the sub database `_score' in the main database directory. This command is used in the above format. name specifies a database name. dir specifies a directory name.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#odeumcli.

-l file
    read a file and get list of paths of files to register. If `-' is specified, the standard input is read.

-wmax num
    specify the max number of words to be stored in the document database.

-tsuf sufs
    specify suffixes of plain text files in comma separated format. The default is `-tsuf .txt,.text'.

-hsuf sufs
    specify suffixes of HTML files in comma separated format. The default is `-hsuf .html,.htm'.

EXAMPLES
For example, to register files which are under `/home/mikio' and whose suffix are `.txt', `.c', or `.h', perform the following command.
odidx register -tsuf ".txt,.c,.h" -hsuf "" casket /home/mikio

Thus, to retrieve documents which include `unix' and `posix' and show the top 8 terms, perform the following command.
odmgr search -max 8 -h casket "unix posix"

SEE ALSO
qdbm(3), odmgr(1), odeum(3), odopen(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).